#include "linkedlistnode.h"

namespace Datastructures {
	namespace Nodes {
		template <typename T>
		LinkedListNode<T>::LinkedListNode(T value, LinkedListNode<T>* next) {
			this->value = value;
			this->next = next;
		}

		//Creates a new node, returning a pointer to a stack allocated object
		template <typename T>
		LinkedListNode<T>* LinkedListNode<T>::create(T value, LinkedListNode<T>* next) {
			return new LinkedListNode(value, next);
		}
	}
}